osgManipulator::GridConstraint Class Reference

`#include <Constraint>`

Inheritance diagram for osgManipulator::GridConstraint:

## Public Member Functions

| GridConstraint (osg::Node &refNode, const osg::Vec3d &origin, const osg::Vec3d &spacing)
void | setOrigin (const osg::Vec3d &origin)
const osg::Vec3d & | getOrigin () const
void | setSpacing (const osg::Vec3d &spacing)
const osg::Vec3d & | getSpacing () const
virtual bool | constrain (TranslateInLineCommand &command) const
virtual bool | constrain (TranslateInPlaneCommand &command) const
virtual bool | constrain (Scale1DCommand &command) const
virtual bool | constrain (Scale2DCommand &command) const
virtual bool | constrain (ScaleUniformCommand &command) const
Public Member Functions inherited from osgManipulator::Constraint
virtual bool | constrain (MotionCommand &) const
virtual bool | constrain (Rotate3DCommand &command) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

virtual | ~GridConstraint ()
Protected Member Functions inherited from osgManipulator::Constraint
| Constraint ()
| Constraint (osg::Node &refNode)
virtual | ~Constraint ()
osg::Node & | getReferenceNode ()
const osg::Node & | getReferenceNode () const
const osg::Matrix & | getLocalToWorld () const
const osg::Matrix & | getWorldToLocal () const
void | computeLocalToWorldAndWorldToLocal () const
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Constraint to snap motion commands to a sugar cube grid.

## Constructor & Destructor Documentation

## GridConstraint()

osgManipulator::GridConstraint::GridConstraint | ( | osg::Node & | refNode,
|  | const osg::Vec3d & | origin,
|  | const osg::Vec3d & | spacing )

## ~GridConstraint()

virtual osgManipulator::GridConstraint::~GridConstraint | ( |  | ) |

inline protected virtual

## Member Function Documentation

## constrain() [1/5]

virtual bool osgManipulator::GridConstraint::constrain | ( | Scale1DCommand & | command | ) | const

virtual

Reimplemented from osgManipulator::Constraint.

## constrain() [2/5]

virtual bool osgManipulator::GridConstraint::constrain | ( | Scale2DCommand & | command | ) | const

virtual

Reimplemented from osgManipulator::Constraint.

## constrain() [3/5]

virtual bool osgManipulator::GridConstraint::constrain | ( | ScaleUniformCommand & | command | ) | const

virtual

Reimplemented from osgManipulator::Constraint.

## constrain() [4/5]

virtual bool osgManipulator::GridConstraint::constrain | ( | TranslateInLineCommand & | command | ) | const

virtual

Reimplemented from osgManipulator::Constraint.

## constrain() [5/5]

virtual bool osgManipulator::GridConstraint::constrain | ( | TranslateInPlaneCommand & | command | ) | const

virtual

Reimplemented from osgManipulator::Constraint.

## getOrigin()

const osg::Vec3d & osgManipulator::GridConstraint::getOrigin | ( |  | ) | const

inline

## getSpacing()

const osg::Vec3d & osgManipulator::GridConstraint::getSpacing | ( |  | ) | const

inline

## setOrigin()

void osgManipulator::GridConstraint::setOrigin | ( | const osg::Vec3d & | origin | ) |

inline

## setSpacing()

void osgManipulator::GridConstraint::setSpacing | ( | const osg::Vec3d & | spacing | ) |

inline

The documentation for this class was generated from the following file:

- Constraint